Bug 126677 - Update www/opera to version 9.52
Summary: Update www/opera to version 9.52
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Ion-Mihai "IOnut" Tetcu
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-08-20 09:50 UTC by Arjan van Leeuwen
Modified: 2008-08-27 08:36 UTC (History)
0 users

See Also:


Attachments
opera.diff (3.98 KB, patch)
2008-08-20 09:50 UTC, Arjan van Leeuwen
no flags Details | Diff
file.diff (5.83 KB, patch)
2008-08-20 09:50 UTC, Arjan van Leeuwen
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Arjan van Leeuwen 2008-08-20 09:50:03 UTC

This patch updates Opera (www/opera) to version 9.52.

This version fixes several security issues.A diss for vuln.xml is also attached.

Full changelog: http://www.opera.com/docs/changelogs/freebsd/952/
Comment 1 Edwin Groothuis freebsd_committer 2008-08-20 09:50:13 UTC
Responsible Changed
From-To: freebsd-ports-bugs->itetcu

itetcu@ wants this port PRs (via the GNATS Auto Assign Tool)
Comment 2 dfilter service freebsd_committer 2008-08-25 21:33:28 UTC
itetcu      2008-08-25 20:33:19 UTC

  FreeBSD ports repository

  Modified files:
    www/opera            Makefile distinfo 
  Log:
  Update to 9.52. Security update which fixes important vulnerabilities.
  - Sites can no longer change framed content on other sites:
  http://www.opera.com/support/search/view/893/
  - Fixed an issue that could allow cross-site scripting, as reported by Chris
  Weber of Casaba Security: details will be disclosed at a later date
  - Custom shortcuts no longer pass the wrong parameters to applications, as
  reported by Michael A. Puls II: http://www.opera.com/support/search/view/894/
  - Prevented insecure pages from showing incorrect security information, as
  reported by Lars Kleinschmidt: http://www.opera.com/support/search/view/895/
  - Feed links can no longer link to local files: http://www.opera.com/support/search/view/896/
  - Feed subscription can no longer cause the wrong page address to be displayed:
  http://www.opera.com/support/search/view/897/
  
  Vulxml entry will be committed later.
  
  PR:             126677
  Submitted by:   maintainer
  Security:       See above (from http://www.opera.com/docs/changelogs/freebsd/952/
                  Security section).
  
  Revision  Changes    Path
  1.78      +4 -4      ports/www/opera/Makefile
  1.51      +15 -15    ports/www/opera/distinfo
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 3 Ion-Mihai "IOnut" Tetcu freebsd_committer 2008-08-27 08:36:48 UTC
State Changed
From-To: open->closed

Committed. Thanks!